searchNodes=[{"doc":"WannabeBool protocol is responsible for converting a structure to a boolean value. The only function required to be implemented is to_boolean/1, which does the conversion. The is_boolean/1 function is implemented for Atom, BitString, Integer and Float.","ref":"WannabeBool.html","title":"WannabeBool","type":"protocol"},{"doc":"Converts term to a boolean. Examples iex&gt; import WannabeBool iex&gt; iex&gt; to_boolean(&quot;true&quot;) true iex&gt; to_boolean(&quot;false&quot;) false iex&gt; to_boolean(:t) true iex&gt; to_boolean(:f) false iex&gt; to_boolean(1) true iex&gt; to_boolean(0) false iex&gt; to_boolean(1.0) true iex&gt; to_boolean(0.0) false","ref":"WannabeBool.html#to_boolean/1","title":"WannabeBool.to_boolean/1","type":"function"},{"doc":"","ref":"WannabeBool.html#t:t/0","title":"WannabeBool.t/0","type":"type"},{"doc":"Wannabe Bool If Atom, String (BitString), Integer and Float values wanna be a boolean value, they can using to_boolean/1 function.","ref":"readme.html","title":"Wannabe Bool","type":"extras"},{"doc":"The package can be installed by adding wannabe_bool to your list of dependencies in mix.exs: def deps do [ {:wannabe_bool, &quot;~&gt; 0.1.1&quot;} ] end","ref":"readme.html#installation","title":"Wannabe Bool - Installation","type":"extras"},{"doc":"The is_boolean/1 function is implemented for Atom, BitString, Integer and Float types. You can use is_boolean/1 function importing WannabeBool protocol: iex&gt; import WannabeBool iex&gt; iex&gt; to_boolean(&quot;true&quot;) true Or calling it in WannabeBool protocol directly: iex&gt; WannabeBool.to_boolean(&quot;true&quot;) true","ref":"readme.html#usage","title":"Wannabe Bool - Usage","type":"extras"},{"doc":"Each type has its own &quot;truthy values&quot;. BitString (String) Returns true if the given string is one of these values: &quot;t&quot;, &quot;true&quot;, &quot;on&quot;, &quot;y&quot;, &quot;yes&quot;, &quot;1&quot;. Otherwise, returns false. Trailling spaces and letter cases are ignored. Examples iex&gt; to_boolean(&quot;t&quot;) true iex&gt; to_boolean(&quot;T&quot;) true iex&gt; to_boolean(&quot;true&quot;) true iex&gt; to_boolean(&quot;TRUE&quot;) true iex&gt; to_boolean(&quot;on&quot;) true iex&gt; to_boolean(&quot;ON&quot;) true iex&gt; to_boolean(&quot;y&quot;) true iex&gt; to_boolean(&quot;yes&quot;) true iex&gt; to_boolean(&quot;YES&quot;) true iex&gt; to_boolean(&quot;1&quot;) true iex&gt; to_boolean(&quot; t &quot;) true iex&gt; to_boolean(&quot; T &quot;) true iex&gt; to_boolean(&quot; true &quot;) true iex&gt; to_boolean(&quot; TRUE &quot;) true iex&gt; to_boolean(&quot; on &quot;) true iex&gt; to_boolean(&quot; ON &quot;) true iex&gt; to_boolean(&quot; y &quot;) true iex&gt; to_boolean(&quot;Y&quot;) true iex&gt; to_boolean(&quot; Y &quot;) true iex&gt; to_boolean(&quot; yes &quot;) true iex&gt; to_boolean(&quot; YES &quot;) true iex&gt; to_boolean(&quot; 1 &quot;) true iex&gt; to_boolean(&quot;false&quot;) false iex&gt; to_boolean(&quot;whatever&quot;) false iex&gt; to_boolean(&quot;&quot;) false Atom The same as my_atom |&gt; to_string() |&gt; to_boolean(). true and false obvisouly returns true and false respectively. :) nil returns false. Examples iex&gt; to_boolean(:&quot;t&quot;) true iex&gt; to_boolean(:&quot;true&quot;) true iex&gt; to_boolean(:&quot;on&quot;) true iex&gt; to_boolean(:&quot;y&quot;) true iex&gt; to_boolean(:&quot;yes&quot;) true iex&gt; to_boolean(:&quot;1&quot;) true iex&gt; to_boolean(:&quot;false&quot;) false iex&gt; to_boolean(:&quot;whatever&quot;) false iex&gt; to_boolean(:&quot;&quot;) false iex&gt; to_boolean(true) true iex&gt; to_boolean(false) false iex&gt; to_boolean(nil) false Integer Returns false if the given integer is zero. Otherwise, returns true. Examples iex&gt; to_boolean(0) false iex&gt; to_boolean(1) true iex&gt; to_boolean(2) true iex&gt; to_boolean(-1) true iex&gt; to_boolean(-2) true Float Returns false if the given float is zero. Otherwise, returns true. Examples iex&gt; to_boolean(0.0) false iex&gt; to_boolean(0.1) true iex&gt; to_boolean(1.0) true iex&gt; to_boolean(-0.1) true iex&gt; to_boolean(-1.0) true Other types For other not implemented types a Protocol.UndefinedError is raised. Example iex&gt; to_boolean([]) ** (Protocol.UndefinedError) protocol WannabeBool not implemented for []. This protocol is implemented for: Atom, BitString, Float, Integer","ref":"readme.html#truthy-values","title":"Wannabe Bool - Truthy values","type":"extras"},{"doc":"The full documentation is available at https://hexdocs.pm/wannabe_bool.","ref":"readme.html#full-documentation","title":"Wannabe Bool - Full documentation","type":"extras"},{"doc":"See the contributing guide.","ref":"readme.html#contributing","title":"Wannabe Bool - Contributing","type":"extras"},{"doc":"Wannabe Bool is released under the Apache 2.0 License. See the LICENSE file.","ref":"readme.html#license","title":"Wannabe Bool - License","type":"extras"},{"doc":"Fernando Hamasaki de Amorim (prodis)","ref":"readme.html#author","title":"Wannabe Bool - Author","type":"extras"},{"doc":"Changelog All notable changes to this project will be documented in this file.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Added make release command. Changed Update development and test dependencies. Update Dialyzer, Credo and Travis configuration.","ref":"changelog.html#0-1-1-2020-04-13","title":"Changelog - 0.1.1 - 2020-04-13","type":"extras"},{"doc":"Added Initial release. The format of this file is based on Keep a Changelog, and this project adheres to Semantic Versioning.","ref":"changelog.html#0-1-0-2018-12-09","title":"Changelog - 0.1.0 - 2018-12-09","type":"extras"}]